<div class="transfer-box">
  <div class="transfer-box__title">
    <div class="transfer-box__title--icon">
      <img
        src="../../../../../assets/icons/arrows.svg"
        alt="arrows"
        class="icon"
      />
    </div>
    <div class="transfer-box__title--text">
      <h2 class="title title__white">Make a transfer</h2>
    </div>
  </div>
  <div class="transfer-box__body">
    <div class="transfer-box__body--box">
      <div class="transfer-box__body--form">
        <p class="text text__medium">FROM ACCOUNT</p>
      </div>
      <app-balance></app-balance>
    </div>
    <div class="transfer-box__body--box">
      <div class="transfer-box__body--form">
        <p class="text text__medium">TO ACCOUNT</p>
      </div>

      <div class="balance-box">
        <div class="balance-box__content">
          <app-autocomplete
            (optionSelected)="optionSelected($event)"
          ></app-autocomplete>
        </div>
      </div>
    </div>
    <div class="transfer-box__body--box">
      <div class="transfer-box__body--form">
        <p class="text text__medium">AMOUNT</p>
      </div>
      <app-input-text
        [onlyNumbers]="true"
        [placeholder]="'$0.00'"
        (eventKeyPress)="valueAmount($event)"
      ></app-input-text>
    </div>
    <div class="transfer-box__body--box">
      <app-button [style]="'primary'" (onClickEvent)="sendTransaction($event)">
        SUBMIT
      </app-button>
    </div>
  </div>
</div>
<app-modal
  (Continue)="confirmTransaction($event)"
  (modalClose)="modalFlag = false"
  [type]="type"
  *ngIf="modalFlag"
  [details]="transactionDetails"
></app-modal>
